import { afterEvents, beforeEvents } from "../../libraries/utils";
import { EquipmentSlot, ItemStack } from "@minecraft/server";
afterEvents.playerSpawn.subscribe(({ player, initialSpawn }) => {
    if (!initialSpawn || player.getDynamicProperty('guide_book'))
        return;
    player.inventory?.container?.addItem(new ItemStack('lua_ma:guide_book'));
    player.setDynamicProperty('guide_book', true);
});
beforeEvents.worldInitialize.subscribe(({ itemComponentRegistry: ItemRegistry }) => {
    ItemRegistry.registerCustomComponent('lua_ma:guide_book', {
        onUseOn: async ({ block: origin, blockFace, source: player }) => {
            // @ts-ignore
            const block = origin[blockFace.toLowerCase().replace('up', 'above').replace('down', 'below')]();
            origin.dimension.spawnEntity('lua_ma:guide_book', block.bottomCenter());
            // entity.setRotation({ x: 0, y: (Math.round(player.getRotation().y / 22.5) * 22.5) + 180 });
            player.equippable?.setEquipment(EquipmentSlot.Mainhand);
        }
    });
});
