import { WeaponManager } from "../../libraries/WeaponManager";
import { Vector } from "../../libraries/utils";
const Sword = new WeaponManager(/lua_ma:(\D*_)?arming_sword/);
Sword.registerAttack('Visual Slash', (player, target_, _item, damage) => {
    const { dimension, location } = player;
    const head = new Vector(player.getHeadLocation());
    const view = new Vector(player.getViewDirection());
    const distance = Vector.distance(location, target_.location);
    dimension.playSound('sound.lua_ma.sweep_axe', location);
    dimension.spawnParticle(`lua_ma:slash_${Math.round(Math.random()) + 1}`, head.add(view.multiply(distance)).add({ y: 0.5 }));
});
