import { WeaponManager } from "../../libraries/WeaponManager";
import { EquipmentSlot } from "@minecraft/server";
const Sword = new WeaponManager(/lua_ma:(\D*_)?greatsword/);
Sword.registerAttack('Less damage with shield', (player, target, _, damage) => {
    const offhand = player.equippable.getEquipment(EquipmentSlot.Offhand);
    if (!offhand)
        return;
    const health = target.health;
    if (health.currentValue <= 0)
        return;
    health.setCurrentValue(health.currentValue + 3);
});
Sword.registerTick('Two handed animation', (player) => {
    if (player.equippable.getEquipment(EquipmentSlot.Offhand))
        return;
    player.playAnimation('animation.lua_ma.heavy_sword_tp');
});
