import { EntityDamageCause } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const PoleAxe = new WeaponManager(/lua_ma:(\D*_)?lochaber_axe/);
PoleAxe.registerAttack('Damage per armor piece', (player, target) => {
    const equippable = target.getComponent('equippable');
    if (!equippable)
        return;
    const pieces = ['Head', 'Chest', 'Legs', 'Feet'].reduce((a, b) => equippable.getEquipment(b) ? a + 1 : a, 0);
    if (!pieces)
        return;
    target.applyDamage(pieces, { cause: EntityDamageCause.override, damagingEntity: player });
});
