import { EquipmentSlot } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
import { Vector } from "../../libraries/utils";
const Ranseur = new WeaponManager(/lua_ma:(\D*_)?ranseur/);
Ranseur.registerSweep(3, 5);
Ranseur.registerTick('Two handed animation', (player) => {
    if (player.equippable.getEquipment(EquipmentSlot.Offhand))
        return;
    player.playAnimation('animation.lua_ma.spear');
});
function rotateVector(vector, angle) {
    const cos = Math.cos(angle);
    const sin = Math.sin(angle);
    const x = vector.x * cos - vector.z * sin;
    const z = vector.x * sin + vector.z * cos;
    return new Vector(x, vector.y, z);
}
