import { EntityDamageCause, EquipmentSlot } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const Spear = new WeaponManager(/lua_ma:(\D*_)?spear/);
const base = 8;
Spear.registerAttack('Piercing damage', (player, target, _item, damage) => {
    if (player.equippable.getEquipment(EquipmentSlot.Offhand))
        return;
    const left = base - damage;
    const reapplied = Math.ceil(left / 2);
    target.applyDamage(reapplied, {
        damagingEntity: player,
        cause: EntityDamageCause.override,
    });
});
Spear.registerAttack('More damage without shield', (player, target, _, damage) => {
    const offhand = player.equippable.getEquipment(EquipmentSlot.Offhand);
    if (offhand)
        return;
    target.applyDamage(4, { cause: EntityDamageCause.override, damagingEntity: player });
});
Spear.registerTick('Two handed animation', (player) => {
    if (player.equippable.getEquipment(EquipmentSlot.Offhand))
        return;
    player.playAnimation('animation.lua_ma.spear');
});
